@import url('https://fonts.googleapis.com/css?family=Poppins');

:root {
    --bs-border-radius: 1.375rem;
    --sort-of-purple: #4e4a91;
    --general-blue: rgb(0, 39, 118);
    --sort-of-grey: #f4f4f4;
    --grey: #8b98a4;
    --grey-halfOpacity: rgba(139, 152, 164, 0.5);
    --sort-of-blue: #0d6efd;
    --card-process: #ffd940;
    --card-processed: #01c76a;
    --card-rejected: #ff1d1d;
    --link-active: #0d6efd;
    --card-blue: #002776;
    --indigo: #6c63ff;
}

body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Poppins', 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans',
        'Helvetica Neue', sans-serif;

    scrollbar-width: thin;
    scrollbar-color: var(--thumbBG) var(--scrollbarBG);
}

.font-18 {
    font-size: 18px !important;
}

.font-12 {
    font-size: 12px !important;
}
.font-14 {
    font-size: 14px !important;
}

html {
    --scrollbarBG: #cfd8dc;
    --thumbBG: var(--indigo);
}
body::-webkit-scrollbar {
    width: 5px;
}

body::-webkit-scrollbar-track {
    background: var(--scrollbarBG);
}
body::-webkit-scrollbar-thumb {
    background-color: var(--thumbBG);
    border-radius: 6px;
    border: 3px solid var(--scrollbarBG);
}

.dialog__modal {
    border: none;
    border-radius: 5px;
}

.dialog__modal > section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1em;
    font-weight: bold;
    color: grey;
}

.input {
    display: block;
    width: 30rem;
    padding: 0.47rem 0.75rem;
    font-size: 0.8125rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    outline: none;
}

.text-app-primary {
    color: var(--card-blue);
}

.tableHeader {
    width: max-content;
    border: 1px solid #e9ecef;
    font-size: 15px;
}

.tableData {
    width: max-content;
    border: 1px solid #e9ecef;
}

.not--found {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 74vh;
}
